summaryrefslogtreecommitdiffstats
path: root/os-plugins/plugins/profile/XX_profile.sh
diff options
context:
space:
mode:
authorSebastian Schmelzer2009-04-15 17:46:32 +0200
committerSebastian Schmelzer2009-04-15 17:46:32 +0200
commit7151386e73003fa97726a1aaf5f48f506025f97a (patch)
tree5d5eed740c2537d0e282a6c4610a3af8d7c2d12d /os-plugins/plugins/profile/XX_profile.sh
parentInstallation of Suse 1x.x and Ubuntu 8.x and 9.04 updated. (diff)
downloadcore-7151386e73003fa97726a1aaf5f48f506025f97a.tar.gz
core-7151386e73003fa97726a1aaf5f48f506025f97a.tar.xz
core-7151386e73003fa97726a1aaf5f48f506025f97a.zip
added basic support for per distro .gconf / .kde dirs *experimental*
git-svn-id: http://svn.openslx.org/svn/openslx/openslx/trunk@2815 95ad53e4-c205-0410-b2fa-d234c58c8868
Diffstat (limited to 'os-plugins/plugins/profile/XX_profile.sh')
-rw-r--r--os-plugins/plugins/profile/XX_profile.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/os-plugins/plugins/profile/XX_profile.sh b/os-plugins/plugins/profile/XX_profile.sh
new file mode 100644
index 00000000..1589bd61
--- /dev/null
+++ b/os-plugins/plugins/profile/XX_profile.sh
@@ -0,0 +1,31 @@
+# Copyright (c) 2009 - OpenSLX GmbH
+#
+# This program/file is free software distributed under the GPL version 2.
+# See http://openslx.org/COPYING
+#
+# If you have any feedback please consult http://openslx.org/feedback and
+# send your feedback to feedback@openslx.org
+#
+# General information about OpenSLX can be found at http://openslx.org
+#
+# script is included from init via the "." load function - thus it has all
+# variables and functions available
+
+# check if the plugin config directory is generally available or if the client
+# configuration failed somehow
+[ -d /initramfs/plugin-conf ] || error "${init_picfg}" nonfatal
+
+# main script
+if [ -e /initramfs/plugin-conf/profile.conf ]; then
+ . /initramfs/plugin-conf/profile.conf
+
+ if [ $profile_active -ne 0 ]; then
+ [ $DEBUGLEVEL -gt 0 ] && echo "executing the 'profile' os-plugin ...";
+
+
+
+ [ $DEBUGLEVEL -gt 0 ] && echo "done with 'profile' os-plugin ...";
+
+ fi
+
+fi